This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 638737 - Group Monitoring: Schedules - Duplicate rows show up in schedules table
Group Monitoring: Schedules - Duplicate rows show up in schedules table
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
3.0.0
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: rhq4 gwt-groups
  Show dependency treegraph
 
Reported: 2010-09-29 15:30 EDT by Corey Welton
Modified: 2013-09-02 03:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:22:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
screenshot indicating apparent duplicates (132.93 KB, image/png)
2010-09-29 15:33 EDT, Corey Welton
no flags Details

  None (edit)
Description Corey Welton 2010-09-29 15:30:17 EDT
Description of problem:
Multiple rows of (apparently) the same data appears in Schedules table, possibly one row for each resource.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Create a compatible group of two or more Servers, for example, "RHQ Agent"
2.  Monitoring > Schedules
3.  View results
  
Actual results:
Two rows for each Metric type

Expected results:
I would think that we should be seeing one Metric type, since this is a group view, perhaps with some sort of indication if they differed for different resources across the group.  At very least, there should be some sort of indicator noting which Metric belongs to which resource.

Additional info:

Screenshot forthcoming.
Comment 1 Corey Welton 2010-09-29 15:33:23 EDT
Created attachment 450567 [details]
screenshot indicating apparent duplicates
Comment 2 Jay Shaughnessy 2011-02-14 10:21:52 EST
Could not reproduce.
Comment 3 Sunil Kondkar 2011-05-30 04:07:43 EDT
Verified on build101 (Version: 4.1.0-SNAPSHOT Build Number: 712d0e1)

The Monitoring > Schedules tab in the group view displays only one Metric type. No duplicate rows are displayed.

Marking as verified.
Comment 4 Heiko W. Rupp 2013-09-02 03:22:09 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.